25002: The provided user's first name is invalid
ERROR
Twilio returns this error when the name.givenName value in a SCIM request for an organization-managed user is invalid. This can happen when you create a user with POST /scim/v2/Users or update a user with PUT /scim/v2/Users/{id} or PATCH /scim/v2/Users/{id}. The first name must be between 2 and 255 characters.
- The value sent in
name.givenNameis fewer than 2 characters. - The value sent in
name.givenNameis longer than 255 characters. - Your identity provider or SCIM client sent an invalid first-name value while provisioning or updating a managed user.
- A create request to
POST /scim/v2/Usersincluded an invalidname.givenNamevalue. - An update request to
PUT /scim/v2/Users/{id}orPATCH /scim/v2/Users/{id}included an invalidname.givenNamevalue.
- Update
name.givenNameso it contains between 2 and 255 characters before you send the request. - Review the payload your SCIM client sends for
POST /scim/v2/Users,PUT /scim/v2/Users/{id}, orPATCH /scim/v2/Users/{id}and correct the first-name value. - If you provision users from an identity provider such as Okta, review your provisioning configuration so the first name sent to Twilio is valid.
- Send the request again after you correct the invalid first-name value.
- When you update a managed user, make sure any change to
name.givenNameuses a valid value.